## lumina-desktop 0.9.0.1235

=== port-files/Makefile ===
# Created by: Ken Moore <ken@pcbsd.org>
# $FreeBSD$

PORTNAME=	lumina
PORTVERSION=	0.8.8
DISTVERSIONPREFIX=	v
DISTVERSIONSUFFIX=	-Release
PORTEPOCH=	1
CATEGORIES=	x11

MAINTAINER=	kmoore@FreeBSD.org
COMMENT=	Lumina Desktop Environment

LICENSE=	BSD3CLAUSE

RUN_DEPENDS=	xorg>=0:${PORTSDIR}/x11/xorg \
		fluxbox>=0:${PORTSDIR}/x11-wm/fluxbox \
		fluxbox-tenr-styles-pack>=0:${PORTSDIR}/x11-themes/fluxbox-tenr-styles-pack \
		kde4-icons-oxygen>=0:${PORTSDIR}/x11-themes/kde4-icons-oxygen \
		xscreensaver:${PORTSDIR}/x11/xscreensaver \
		xscreensaver-demo:${PORTSDIR}/x11/xscreensaver \
		xbrightness:${PORTSDIR}/x11/xbrightness \
		numlockx:${PORTSDIR}/x11/numlockx

CONFLICTS=      lumina-devel-0*

OPTIONS_DEFINE=	MULTIMEDIA PCBSD
OPTIONS_DEFAULT=	MULTIMEDIA
MULTIMEDIA_DESC=	Install multimedia support backend (gstreamer)
PCBSD_DESC=	Use the PC-BSD system interface settings.

.include <bsd.port.options.mk>

.if ${PORT_OPTIONS:MMULTIMEDIA}
RUN_DEPENDS+=	gstreamer1-plugins-core>=0:${PORTSDIR}/multimedia/gstreamer1-plugins-core
.endif

MAKE_JOBS_UNSAFE=yes

USE_XORG=	x11 xdamage
USE_XCB=		x11extras wm
USE_LDCONFIG=	yes
USE_QT5=	core gui network svg linguist multimedia imageformats \
		buildtools x11extras concurrent
USES=		desktop-file-utils qmake
USE_GITHUB=	yes
GH_ACCOUNT=	pcbsd

#Setup the qmake configuration options
.if {PORT_OPTIONS:MPCBSD}
QMAKE_ARGS=	CONFIG+="configure NO_I18N PCBSD"
.else
QMAKE_ARGS=	CONFIG+="configure NO_I18N"
.endif

.include <bsd.port.mk>

=== debian/changelog ===
lumina-desktop (0.9.0.1235-2mx150+1) mx; urgency=medium

  * Rebuild for MX-15.
  * Fix various typos and grammar problems in description.
  * Remove usbmount as a Depends; breaks mounting in other DEs.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Tue, 05 Apr 2016 20:48:37 -0700

lumina-desktop (0.9.0.1235-2nano) unstable; urgency=low

  * New maintainer build
  * add -dbgsym packages

 -- Christopher Roy Bratusek <nano@jpberlin.de>  Tue, 01 Mar 2016 21:21:33 +0100

lumina-desktop (0.9.0.1235-1nano) unstable; urgency=low

  * New git snapshot
  * update for recent Linux distribution detection changes
  * simplify rules
  * add missing dependency on libqt5svg5
  * install usr/share/applications/lumina-support.desktop
  * install usr/share/Lumina-DE/quickplugins/quick-sample.qml

 -- Christopher Roy Bratusek <nano@jpberlin.de>  Tue, 01 Mar 2016 18:43:22 +0100

lumina-desktop (0.8.7.1081-1nano) unstable; urgency=low

  * New git snapshot

 -- Christopher Roy Bratusek <nano@jpberlin.de>  Sun, 25 Oct 2015 19:56:42 +0100

lumina-desktop (0.8.7.980-1nano) unstable; urgency=low

  * New git snapshot

 -- Christopher Roy Bratusek <nano@jpberlin.de>  Sat, 26 Sep 2015 10:40:30 +0200

lumina-desktop (0.8.7.959-1nano) unstable; urgency=low

  * New git snapshot

 -- Christopher Roy Bratusek <nano@jpberlin.de>  Tue, 15 Sep 2015 20:42:54 +0200

lumina-desktop (0.8.7.858-1nano) unstable; urgency=low

  * New git snapshot

 -- Christopher Roy Bratusek <nano@jpberlin.de>  Thu, 20 Aug 2015 20:07:40 +0200

lumina-desktop (0.8.7.828-1nano) unstable; urgency=low

  * New git snapshot
    - debian/copyright: minor syntax fixes, add Upstream-Contact
    - debian/control: improved package descriptions
    - debian/merge-lumina-i18n.sh: script to merge latest translations from
      https://github.com/pcbsd/lumina-i18n.git

 -- Christopher Roy Bratusek <nano@jpberlin.de>  Thu, 13 Aug 2015 19:18:43 +0200

lumina-desktop (0.8.6-1) unstable; urgency=low

  * New upstream release

 -- Valentin OVD <vovd.tanglu@gmail.com>  Sat, 1 Aug 2015 21:36:40 +0200

lumina-desktop (0.8.5.754-1nano) unstable; urgency=low

  * New git snapshot
   - update LOS::MemoryUsagePercent() for output format
     change in latest version of 'top' in Debian

 -- Christopher Roy Bratusek <nano@jpberlin.de>  Sat, 11 Jul 2015 16:07:42 +0200

lumina-desktop (0.8.5.697-1nano) unstable; urgency=low

  * New git snapshot
   - display "Not available" in system  monitor if cpu temp
     can not be read
   - add support for showing disk i/o stats in system monitor
   - update luminaDesktop.conf to new format

 -- Christopher Roy Bratusek <nano@jpberlin.de>  Fri, 12 Jun 2015 19:09:30 +0200

lumina-desktop (0.8.5.661-1nano) unstable; urgency=low

  * New git snapshot
   - add dependency on top
   - add support for cpu-usage and memory-usage in LuminaOS-Debian

 -- Christopher Roy Bratusek <nano@jpberlin.de>  Fri, 22 May 2015 19:22:32 +0200

lumina-desktop (0.8.5.638-1nano) unstable; urgency=low

  * New git snapshot
    - remove custom luminaStartapps (Lumina now uses XDG autostart)
    - update luminaDesktop.conf

 -- Christopher Roy Bratusek <nano@jpberlin.de>  Wed, 13 May 2015 18:42:16 +0200

lumina-desktop (0.8.4.556-1nano) unstable; urgency=low

  * New git snapshot
  * reboot, shutdown and suspend via logind

 -- Christopher Roy Bratusek <nano@jpberlin.de>  Thu, 23 Apr 2015 20:27:23 +0200

lumina-desktop (0.8.4.533-1nano) unstable; urgency=low

  * New git snapshot
  * add lumina-fileinfo package

 -- Christopher Roy Bratusek <nano@jpberlin.de>  Tue, 21 Apr 2015 20:36:42 +0200

lumina-desktop (0.8.4.475-1nano) unstable; urgency=low

  * New git snapshot
  * add runtime depencies for lumina-desktop:
    - gstreamer1.0-plugins-base
    - phonon4qt5-backend-gstreamer
    - pavucontrol
    - alsa-utils
    - acpi

 -- Christopher Roy Bratusek <nano@jpberlin.de>  Sat, 18 Apr 2015 20:21:00 +0200

lumina-desktop (0.8.3.440-1nano) unstable; urgency=low

  * New git snapshot
  * add build dependency on libxcb-composite0-dev
  * add dependency on usbmount (tool for automagic mounting
    of external devices)

 -- Christopher Roy Bratusek <nano@jpberlin.de>  Sat, 28 Mar 2015 18:38:13 +0100

lumina-desktop (0.8.3.427-1nano) unstable; urgency=low

  * New git snapshot

 -- Christopher Roy Bratusek <nano@jpberlin.de>  Thu, 26 Mar 2015 21:29:34 +0100

lumina-desktop (0.8.3.372-1nano) unstable; urgency=low

  * new GIT snapshot
    - add build dependency on libxcb-image0-dev
    - add Lumina-DE startup wrapper. If qt5-configuration-tool exists
      and LUMINA_USE_QT5CT is set to TRUE in /etc/default/lumina-qt5ct,
      then export QT_QPA_PLATFORMTHEME=qt5ct, so that it works in Lumina
    - add lumina-data arch-indep package containing data files
    - drop lumina-core package
    - change lumina-desktop from arch-any to arch-indep
    - make lumina-desktop what lumina-core was before (keeping dependencies
      on all lumina-* packages)

 -- Christopher Roy Bratusek <nano@jpberlin.de>  Thu, 12 Mar 2015 18:11:17 +0100

lumina-desktop (0.8.3.347-1nano) unstable; urgency=low

  * new GIT snapshot
    - add lumina-xconfig package
    - install ROADMAP doc file

 -- Christopher Roy Bratusek <nano@jpberlin.de>  Tue, 24 Feb 2015 19:15:07 +0100

lumina-desktop (0.8.2.282-1nano) unstable; urgency=low

  * new GIT snapshot
    - add lumina-info package
    - install translations into specific packages
    - move lxpolkit from Recommends to Depends
    - add /etc/luminaStartapps (autostart applications)

 -- Christopher Roy Bratusek <nano@jpberlin.de>  Wed, 28 Jan 2015 19:27:33 +0100

lumina-desktop (0.8.1.275-1nano) unstable; urgency=low

  * new GIT snapshot
    - remove patches/01-use-luminaos-debian.diff and replace it
      by a sed-substition in debian/rules
    - use dpkg-architecture instead of gcc for multiarch detection
    - fail on missing files when building packages (if any)
    - install /usr/share/applications/lumina-search.desktop


=== debian/control ===
Source: lumina-desktop
Section: x11
Priority: optional
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
XSBC-Original-Maintainer: Christopher Roy Bratusek <nano@jpberlin.de>
Uploaders: Valentin OVD <vovd.tanglu@gmail.com>
Build-Depends: debhelper (>= 9), qt5-qmake, qtbase5-dev, qtmultimedia5-dev,
               libxcb1-dev, libx11-xcb-dev, libxcb-composite0-dev, libxcb-ewmh-dev,
               libx11-dev, libxrender-dev, libxcomposite-dev, libxdamage-dev,
               libxcb-icccm4-dev, libxcb-damage0-dev, libxcb-util0-dev,
               libqt5x11extras5-dev, qttools5-dev-tools, libxcb-image0-dev,
               libxcb-composite0-dev, qtdeclarative5-dev, libqt5svg5-dev
Standards-Version: 3.9.6
Homepage: https://github.com/pcbsd/lumina

Package: lumina-desktop
Architecture: any
Replaces: lumina-core (<< 0.8.3.372)
Depends: ${misc:Depends}, ${shlibs:Depends}, libluminautils1 (= ${binary:Version}),
         libluminautils1, lumina-config, lumina-fm, oxygen-icon-theme,
         lumina-open, lumina-screenshot, lumina-search, lumina-info,
         lumina-xconfig, lumina-fileinfo, lxpolkit, lumina-data, fluxbox,
         numlockx, xbacklight, xscreensaver, alsa-utils, acpi,
         gstreamer1.0-plugins-base, phonon4qt5-backend-gstreamer,
         pavucontrol, procps, sysstat
Recommends: qt5-configuration-tool
Description: Lightweight Qt5-based desktop environment
 Metapackage depending on all other lumina packages.

Package: libluminautils1
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Library for the Lumina desktop environment
 Utility library for the Lumina desktop environment
 .
 This is the debianized version of libluminautils1.

Package: libluminautils-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libluminautils1 (= ${binary:Version})
Description: Development files for Lumina desktop environment
 Files needed to develop plugins or extensions for the Lumina desktop
 environment, or using libluminautils1 in projects.

Package: lumina-config
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libluminautils1 (= ${binary:Version})
Replaces: lumina-core (<< 0.8.3.372)
Description: Configuration utility for the Lumina desktop environment
 Lumina-config allows changing various aspects of Lumina and fluxbox, such as
 the wallpaper being used, theme, icons, panel (and plugins), startup and 
 default applications, desktop-menu and more.

Package: lumina-fm
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libluminautils1 (= ${binary:Version})
Replaces: lumina-core (<< 0.8.3.372)
Description: Filemanager for the Lumina desktop environment
 Simple filemanager for lumina with support for multiple view modes, tabbed browsing,
 and including an integrated slideshow-based picture viewer.

Package: lumina-open
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libluminautils1 (= ${binary:Version})
Replaces: lumina-core (<< 0.8.3.372)
Description: xdg-open like utility for the Lumina desktop environment
 Lumina-open handles opening of files and URLs according to the system wide
 mime type association. It also provides an optional selector if more than one
 application is assigned with the given URL or file type.

Package: lumina-screenshot
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libluminautils1 (= ${binary:Version})
Replaces: lumina-core (<< 0.8.3.372)
Description: Screenshot utility for the Lumina desktop environment
 Simple screenshot utility that allows one to take a screenshot of the whole
 desktop or a single window after a configurable delay.
 .
 Optionally the window border can be hidden when taking a screenshot of a
 single window.

Package: lumina-search
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libluminautils1 (= ${binary:Version})
Replaces: lumina-core (<< 0.8.3.372)
Description: Search utility for the Lumina desktop environment
 Simple search utility that allows one to search for applications, files, and
 directories in the user's HOME directory and open them.

Package: lumina-info
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libluminautils1 (= ${binary:Version})
Replaces: lumina-core (<< 0.8.3.372)
Description: Basic information utility for Lumina
 Lumina-info display various information about the Lumina installation,
 such as paths, contributors, licenses or version.

Package: lumina-xconfig
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libluminautils1 (= ${binary:Version})
Replaces: lumina-core (<< 0.8.3.372)
Description: Display configuration tool for the Lumina desktop environment
 Simple multi-head aware display configuration tool for Lumina

Package: lumina-fileinfo
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libluminautils1 (= ${binary:Version})
Replaces: lumina-core (<< 0.8.3.372)
Description: Desktop file editor for the Lumina desktop environment
 Advanced desktop file (menu) editor for Lumina

Package: lumina-data
Architecture: all
Depends: ${misc:Depends}, libluminautils1
Replaces: lumina-core (<< 0.8.3.372)
Description: data files for the Lumina Desktop environment
 This package provides
  * Lumina Wallpapers
  * Lumina Themes
  * Lumina Translations
  * Lumina Sounds
  * Fallback fluxbox configuration

=== debian/rules ===
#!/usr/bin/make -f
DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --parallel

override_dh_auto_configure:
	/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/qmake \
		PREFIX=/usr \
		LIBPREFIX=/usr/lib/$(DEB_HOST_MULTIARCH) \
		L_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
		L_ETCDIR=/etc \
		QMAKE_CXXFLAGS="$(CXXFLAGS) $(CPPFLAGS)" \
		QMAKE_LFLAGS="$(LDFLAGS) -Wl,--as-needed" \
		CONFIG+=nostrip

override_dh_auto_clean:
	dh_auto_clean
	-find $(CURDIR) -name *.qm -delete

override_dh_install:
	dh_install --list-missing
	mv $(CURDIR)/debian/lumina-desktop/usr/bin/Lumina-DE \
		$(CURDIR)/debian/lumina-desktop/usr/bin/Lumina-DE.real
	install -m755 $(CURDIR)/debian/Lumina-DE \
		$(CURDIR)/debian/lumina-desktop/usr/bin/Lumina-DE
